> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autosend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Automation

> Pauses an active workflow automation. New contacts will not enter the workflow while paused.

<Note>
  Pauses an active workflow automation. New contacts stop entering the workflow; in-flight contacts remain in their current step until the workflow is resumed.
</Note>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause \
    --header 'Authorization: Bearer AS_your-project-api-key'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause"

  headers = {
      "Authorization": "Bearer AS_your-project-api-key"
  }

  response = requests.post(url, headers=headers)
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  fetch('https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer AS_your-project-api-key'
    }
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error('Error:', error));
  ```

  ```php PHP theme={null}
  <?php

  $url = 'https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause';

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'Authorization: Bearer AS_your-project-api-key'
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```

  ```go Go theme={null}
  package main

  import (
      "fmt"
      "io"
      "net/http"
  )

  func main() {
      url := "https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause"

      req, _ := http.NewRequest("POST", url, nil)
      req.Header.Set("Authorization", "Bearer AS_your-project-api-key")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          fmt.Println("Error:", err)
          return
      }
      defer resp.Body.Close()

      body, _ := io.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  import java.net.HttpURLConnection;
  import java.net.URL;

  public class PauseWorkflow {
      public static void main(String[] args) {
          try {
              URL url = new URL("https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause");
              HttpURLConnection con = (HttpURLConnection) url.openConnection();

              con.setRequestMethod("POST");
              con.setRequestProperty("Authorization", "Bearer AS_your-project-api-key");

              int status = con.getResponseCode();
              System.out.println("Response Status: " + status);

              con.disconnect();
          } catch (Exception e) {
              e.printStackTrace();
          }
      }
  }
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'uri'

  uri = URI('https://api.autosend.com/v1/automations/60d5ec49f1b2c72d9c8b9abc/pause')

  http = Net::HTTP.new(uri.host, uri.port)
  http.use_ssl = true

  request = Net::HTTP::Post.new(uri.path)
  request['Authorization'] = 'Bearer AS_your-project-api-key'

  response = http.request(request)
  puts response.body
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "60d5ec49f1b2c72d9c8b9abc",
      "name": "Welcome Series",
      "status": "paused",
      "updatedAt": "2026-05-08T11:30:00.000Z"
    }
  }
  ```
</ResponseExample>

***

#### Authorizations

<ParamField path="Authorizations" type="string | header" required>
  Project API key header of the form Bearer `AS_<key>`.
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required>
  Workflow automation ID.
</ParamField>

#### Response

<span className="text-sm">Workflow automation paused successfully</span>

<ResponseField name="success" type="boolean">
  Example: `true`
</ResponseField>

<ResponseField name="data" type="object">
  The workflow automation, with `status` set to `paused`.

  <Expandable title="child attributes">
    <ResponseField name="data.id" type="string">
      Unique workflow identifier.
    </ResponseField>

    <ResponseField name="data.name" type="string">
      Display name of the workflow.
    </ResponseField>

    <ResponseField name="data.status" type="string">
      Current status - will be `paused`.
    </ResponseField>

    <ResponseField name="data.updatedAt" type="string">
      ISO 8601 timestamp of when the workflow was paused.
    </ResponseField>
  </Expandable>
</ResponseField>

#### Error Responses

<ResponseField name="400 - Cannot pause inactive workflow" type="object">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "Cannot pause a workflow that is not active",
      "code": "CANNOT_PAUSE_INACTIVE_AUTOMATION"
    }
  }
  ```
</ResponseField>

<ResponseField name="404 - Workflow not found" type="object">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "message": "Workflow automation not found",
      "code": "WORKFLOW_NOT_FOUND"
    }
  }
  ```
</ResponseField>


## OpenAPI

````yaml POST /automations/{id}/pause
openapi: 3.1.0
info:
  title: AutoSend API
  description: >-
    AutoSend REST API for managing workflow automations. Workflow automations
    send a sequence of emails to contacts based on entry criteria (contact
    created, added to a list, segment match, contact-property match,
    contact-property change, or a custom event). These endpoints accept a
    standard project API key (AS_ prefix).
  version: 1.0.0
servers:
  - url: https://api.autosend.com/v1
security:
  - bearerAuth: []
paths:
  /automations/{id}/pause:
    post:
      summary: Pause Automation
      description: >-
        Pauses an active workflow automation. New contacts will not enter the
        workflow while paused.
components: {}

````

## Related topics

- [Pause Campaign](/api-reference/campaigns/pause.md)
- [Usage](/others/account/usage.md)
- [Changelog](/changelog.md)
- [Get Automation](/api-reference/automations/get-automation.md)
- [Delete Automation](/api-reference/automations/delete-automation.md)
